#!/bin/bash

cat <<AAA
Content-type: text/html

<html>
<head>
<title>
   Rien
</title>
</head>
<body bgcolor="white">
<h1>Rien </h1>

En cliquant sur le bouton d'envoi du formulaire, 
vous avez demand au navigateur d'expdier les 
donnes (nom, prnom ...) que vous avez entres.

<p>
Sur le <b>serveur</b> Web, cette <b>requte</b> est 
transmise  un programme qui la traite. Ce programme peut
tre crit dans n'importe quel langage, pourvu qu'il respecte
une certaine manire de communiquer avec le serveur 
(<i>Common Gateway Interface</i>).

<p>
Ici ce programme est un <i>shell script</i> en <tt>bash</tt>,
qui se trouve dans <tt>$PWD/$0</tt>
<p>

Quand votre requte est arrive, le serveur a lanc ce script
<tt>$0</tt> en renseignant deux variables
<center>
<table bgcolor="yellow">
<tr><th>Variable<th>Contenu
<tr><td><tt>\$REQUEST_METHOD</tt>
	<td><tt>$REQUEST_METHOD</tt>
<tr><td><tt>\$QUERY_STRING</tt>
<td><tt>$QUERY_STRING</tt>
</table>
</center>

<ul>
<li>Il ne se passe rien, pour cette fois-ci.
<li>Observez ce qui se passe si le formulaire contient des espaces
et/ou des lettres accentues 
(<a href="introduction.html#essai">Essayez !</a>)
<li>
Vous pouvez revenir  
l'<a href="introduction.html#explications">introduction</a>.
Gardez la suite plus tard.
</ul>

<hr>
<h2>Le code source de ce script</h2>
<pre>
AAA
# Affichage du texte du script.
# on utilise "sed" pour remplacer les 
# caractres "&"  "<"  et ">" par leurs
# quivalents : &amp;  &lt;  &gt;
#
sed -e 's/&/\&amp;/g' -e 's/</\&lt;/g' -e 's/>/\&gt;/g' $0

cat <<AAA
</pre>
</body>
</html>
AAA




